%global pypi_name daphne
%global commitId 060202f4914b0f46fc2d7398d9b769a8481300ef

%global common_description %{expand:
Daphne is a HTTP, HTTP2 and WebSocket protocol server for ASGI and ASGI-HTTP, developed to power Django Channels.

It supports automatic negotiation of protocols; there's no need for URL prefixing to determine WebSocket endpoints versus HTTP endpoints.}
%global common_summary %{expand: Django Channels HTTP/WebSocket server}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        4.0.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            https://github.com/django/daphne

Source0:        python-daphne-060202f4914b0f46fc2d7398d9b769a8481300ef.tar.gz

Patch0:         01-remove-pyrunner-test-dependency.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:       python%{python3_pkgversion}-twisted+tls >= 22.4
Requires:       python%{python3_pkgversion}-autobahn >= 22.4.2
Requires:       python%{python3_pkgversion}-asgiref >= 3.5.2
Requires:       python%{python3_pkgversion}-asgiref < 4

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -p1 -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.txt README.rst
%license LICENSE
%{_bindir}/daphne
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%dir %{python3_sitelib}/twisted
%dir %{python3_sitelib}/twisted/plugins
%dir %{python3_sitelib}/twisted/plugins/__pycache__
%{python3_sitelib}/twisted/plugins/fd*.py
%{python3_sitelib}/twisted/plugins/__pycache__/fd*.py*

%changelog
* Thu Feb 09 2023 James Marshall <jamarsha@redhat.com> 4.0.0-1
- Initial release
